> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Onboard Partner Provider Products

> Onboard insurance products of a provider

Returns a Job ID for tracking the onboarding process,         which can be used to check the status of the onboarding         process and the result of the onboarding process in a seperate API Call



## OpenAPI

````yaml post /api/v1/onboarding/providers/{provider_id}/next_steps/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/onboarding/providers/{provider_id}/next_steps/:
    post:
      tags:
        - Providers' Onboarding
      summary: Onboard Partner Provider Products
      description: >-
        Onboard insurance products of a provider


        Returns a Job ID for tracking the onboarding process,         which can
        be used to check the status of the onboarding         process and the
        result of the onboarding process in a seperate API Call
      operationId: v1_onboarding_providers_next_steps_create
      parameters:
        - in: path
          name: provider_id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProviderProductsOnboarding'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ProviderProductsOnboarding'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ProviderProductsOnboarding'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderProductsOnboardingResponse'
          description: Product onboarding in progress
        '400':
          description: Bad request
        '500':
          description: Internal server error
      security:
        - ClientKeyAuth: []
components:
  schemas:
    ProviderProductsOnboarding:
      type: object
      properties:
        document_url:
          type: string
          format: uri
        sheet_name:
          type: string
          description: Sheet name in the document where the products are listed
        webhook_url:
          type: string
          description: Webhook URL to receive updates
      required:
        - document_url
    ProviderProductsOnboardingResponse:
      type: object
      properties:
        job_id:
          type: string
      required:
        - job_id
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````